Skip to main content
POST
/
nodes
Deploys a server onto the current user
curl --request POST \
  --url https://api.vexelia.com/nodes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pricingPlanId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "countryCode": "<string>",
  "operatingSystem": "<string>",
  "name": "<string>",
  "sshKeyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "application": "<string>"
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.vexelia.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Your API key goes here, you can generate one in your account settings.

Body

The form that contains the new server details

pricingPlanId
string<uuid>
required

The ID of the pricing plan to deploy

countryCode
string
required
Required string length: 2
operatingSystem
string
required
Required string length: 3 - 256
name
string
required
Required string length: 3 - 64
sshKeyId
string<uuid> | null

The ID of the SSH key to deploy to the server

application
string | null
Required string length: 3 - 256

Response

The node was deployed successfully